Package net.shibboleth.idp.plugin.authn.webauthn.audit.impl

# Class WebAuthnFlowModeAuditExtractor

java.lang.Object
net.shibboleth.idp.plugin.authn.webauthn.audit.AbstractWebAuthnAuditExtractor<String>
net.shibboleth.idp.plugin.authn.webauthn.audit.impl.WebAuthnFlowModeAuditExtractor

All Implemented Interfaces:
  `Function<ProfileRequestContext,String>`

public class WebAuthnFlowModeAuditExtractor extends AbstractWebAuthnAuditExtractor<String>
`Function` that returns which mode of flow was run e.g. 'passwordless', 'usernameless', or 'second-factor'.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`WebAuthnFlowModeAuditExtractor(Function<ProfileRequestContext,BaseWebAuthnContext> strategy)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected String`
`doLookup(BaseWebAuthnContext context)`
Implemented to perform the actual lookup.

### Methods inherited from class net.shibboleth.idp.plugin.authn.webauthn.audit.AbstractWebAuthnAuditExtractor

`apply`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### WebAuthnFlowModeAuditExtractor

protected WebAuthnFlowModeAuditExtractor(@Nonnull Function<ProfileRequestContext,BaseWebAuthnContext> strategy)
Constructor.

Parameters:
  `strategy` - the `BaseWebAuthnContext` lookup strategy to use.

## Method Details

### doLookup

protected String doLookup(@Nonnull BaseWebAuthnContext context)
Implemented to perform the actual lookup.

Specified by:
  `doLookup` in class `AbstractWebAuthnAuditExtractor<String>`
Parameters:
  `context` - the base WebAuthn context
Returns:
  lookup value or `null` if not found